Index: apps/app_sms.c
===================================================================
RCS file: /usr/cvsroot/asterisk/apps/app_sms.c,v
retrieving revision 1.1
diff -u -r1.1 app_sms.c
--- apps/app_sms.c	28 Apr 2004 20:43:06 -0000	1.1
+++ apps/app_sms.c	15 May 2004 21:39:32 -0000
@@ -204,7 +204,11 @@
 packdate (unsigned char *o, time_t w)
 {
   struct tm *t = localtime (&w);
+#ifdef __FreeBSD__
+  int z = - t->tm_gmtoff / 3600 / 15;
+#else
   int z = timezone / 3600 / 15;
+#endif
   *o++ = ((t->tm_year % 10) << 4) + (t->tm_year % 100) / 10;
   *o++ = (((t->tm_mon + 1) % 10) << 4) + (t->tm_mon + 1) / 10;
   *o++ = ((t->tm_mday % 10) << 4) + t->tm_mday / 10;
